# Test dojo.io.bind()

This page tests different post methods of `dojo.io.bind()` and compare them with conventional form submitting.

## Select method and transport

Method: |
Transport: |

## Submit a form

If you submit this form using Dojo, you can see results below. Otherwise you will be redirected to results screen.

text: |
password: |
radio: | radio1 radio2
checkbox: | check
select: |
textarea: |

Following simulated files will be submitted only by Dojo transport.
File #1 is submitted with following parameters: `name="file1" fileName="file1.txt"`.
File #2 is submitted with following parameters: `name="file2" contentType="text/plain"`.

Simulated file #1:

Simulated file #2:

## Traditional file submit form

This is a static form with `method="post" enctype="multipart/form-data"` options.

file:

## Check results

If the form was submitted asynchronously by Dojo, you will see results below.